# HOWTO

- Build stable-diffusion-ui from AUR, put it here as `stable-diffusion-ui.pkg.tar.zst`.
- Set up GPU access in docker/podman.
- Run the following:

```
podman build --no-cache . -t 'stable-diffusion-ui-server
podman run -it --device nvidia.com/gpu=all --security-opt=label=disable --name stable-diffusion-ui -p 9000:9000 -v ./data:/opt/stable-diffusion-ui -e NVIDIA_DRIVER_CAPABILITIES=compute,utility localhost/stable-diffusion-ui-server
browser http://localhost:9000
```
